yikes, my bad

This commit is contained in:
Sarah Ottinger
2020-09-20 19:35:22 -07:00
parent 50184d6386
commit 3324bfa752
20 changed files with 0 additions and 1275 deletions

View File

@@ -1,272 +0,0 @@
95d6776c0d07e7b096ca153ed6c5b1b30db738e1 not-for-merge branch 'master' of https://github.com/python/typing
8b173130b22b7ef376b8c67111051702fcf66c08 not-for-merge branch 'release-3.5.1' of https://github.com/python/typing
b85b13e321da9c8857eec65f68a80ff97104c663 not-for-merge 'refs/pull/104/head' of https://github.com/python/typing
f8d33bb22b7135613f43e9b883527586d654fb06 not-for-merge 'refs/pull/104/merge' of https://github.com/python/typing
822777f60cd6940b383f249c5be0787ad6e58566 not-for-merge 'refs/pull/108/head' of https://github.com/python/typing
03cf5d36907b6b7432b81420c8101560fa3627fc not-for-merge 'refs/pull/108/merge' of https://github.com/python/typing
8a800db290f2016ee8352ecb61a55cb2f19e6f08 not-for-merge 'refs/pull/117/head' of https://github.com/python/typing
260b26a009a76beb918de69bf6bfa39280ab3a0b not-for-merge 'refs/pull/117/merge' of https://github.com/python/typing
136a2bcaf2bf70b13c704907cf9fbcfa10850b28 not-for-merge 'refs/pull/118/head' of https://github.com/python/typing
0a2ff67baa60f94c513380576e688fc3bf0dd82b not-for-merge 'refs/pull/118/merge' of https://github.com/python/typing
448cd24b69c39d9720255d6d66180e10c494851c not-for-merge 'refs/pull/141/head' of https://github.com/python/typing
5de69e19cd39b038e694f4d7b2375a5363b3bc51 not-for-merge 'refs/pull/141/merge' of https://github.com/python/typing
177beb2912e49a5318f7ef497413346e4b6b0cf5 not-for-merge 'refs/pull/144/head' of https://github.com/python/typing
82938d067b6aca4bc94487bafc022a02d9f626b3 not-for-merge 'refs/pull/145/head' of https://github.com/python/typing
743dce97657bd96d4fb1861d2ab64a77d4e95d0b not-for-merge 'refs/pull/145/merge' of https://github.com/python/typing
f5e1a22506bca5b187b555eda854b9c6ede13b96 not-for-merge 'refs/pull/147/head' of https://github.com/python/typing
99fc998c5383a084c4ce47cd5bf481b78c4be3ba not-for-merge 'refs/pull/147/merge' of https://github.com/python/typing
f8a86f00dc9805dfefd60eb66afd65d51ee6de0f not-for-merge 'refs/pull/150/head' of https://github.com/python/typing
764588c97d7407b86560a416f67cf21f72009c17 not-for-merge 'refs/pull/153/head' of https://github.com/python/typing
7897261400d06421c90bb3dd498e655f8265fadf not-for-merge 'refs/pull/154/head' of https://github.com/python/typing
aea854253a1dfad4faa554df1883cf857c5d6cb6 not-for-merge 'refs/pull/158/head' of https://github.com/python/typing
39d1ee83b8af8a3a5e6a42f314b7bbf20539b66a not-for-merge 'refs/pull/162/head' of https://github.com/python/typing
2aa13741538068a252733d4f339ab6c600d9de26 not-for-merge 'refs/pull/164/head' of https://github.com/python/typing
492624acf0755ebbc8067e86417d5a6c81d9176d not-for-merge 'refs/pull/166/head' of https://github.com/python/typing
9cb13feb0e80bbd6eca7ec0076fc2d05809f1219 not-for-merge 'refs/pull/166/merge' of https://github.com/python/typing
2edc23b31af28215a236cfb73395f64c46cd973d not-for-merge 'refs/pull/168/head' of https://github.com/python/typing
e554e34fe521b2450ae5964056fe869daf047357 not-for-merge 'refs/pull/181/head' of https://github.com/python/typing
1ceb0d7d9129feced6cb4d6c268fda170a306962 not-for-merge 'refs/pull/190/head' of https://github.com/python/typing
4e9e36aa695f4c8c51c553f8c613f53b9a21b5d1 not-for-merge 'refs/pull/194/head' of https://github.com/python/typing
e0d1c5dc659db9734c10a1b3c678df9df75fcda0 not-for-merge 'refs/pull/195/head' of https://github.com/python/typing
00212331410dc8fa1910d24a0522ad8b4950b0db not-for-merge 'refs/pull/197/head' of https://github.com/python/typing
00212331410dc8fa1910d24a0522ad8b4950b0db not-for-merge 'refs/pull/198/head' of https://github.com/python/typing
86d5d88d44435ba976bb85b0491b08b0e3e078ab not-for-merge 'refs/pull/198/merge' of https://github.com/python/typing
0aa6002e303d43ed0243b1b3fa5cbfef48a6a7b5 not-for-merge 'refs/pull/199/head' of https://github.com/python/typing
4ad18e2a9fe62ad3de21a79107b8dd7155a27ff2 not-for-merge 'refs/pull/201/head' of https://github.com/python/typing
b1aa749d0a8cf9462525a8166339dd8448c6f48b not-for-merge 'refs/pull/205/head' of https://github.com/python/typing
142e5e7b433781fc6983bbc3c6b04edb783fd585 not-for-merge 'refs/pull/206/head' of https://github.com/python/typing
fd4a1b0790dcabc18d3e3c94e81ee3774ac0d9b5 not-for-merge 'refs/pull/207/head' of https://github.com/python/typing
6025216640d9fa1e8962fd6d13a170e69783afa2 not-for-merge 'refs/pull/214/head' of https://github.com/python/typing
bd8173470a53cb6dbc3b7169a7f79120161b4d26 not-for-merge 'refs/pull/215/head' of https://github.com/python/typing
49c68551ec27bed1754916e17c45449dad8a2c8b not-for-merge 'refs/pull/216/head' of https://github.com/python/typing
def3299121b484d595926a4b1508638deea5b8c9 not-for-merge 'refs/pull/217/head' of https://github.com/python/typing
c6a60b6439a18d730a23aeded9006513da31012e not-for-merge 'refs/pull/217/merge' of https://github.com/python/typing
2192c76a9296d2b6a6b9f5419fc82fc6a34ec51a not-for-merge 'refs/pull/218/head' of https://github.com/python/typing
b8513a76b98f1b8e997bc5d3bcd21db40f4de41e not-for-merge 'refs/pull/219/head' of https://github.com/python/typing
ae90f5682c986ffab1496eb690d0c650d4e582a5 not-for-merge 'refs/pull/223/head' of https://github.com/python/typing
002d88b72921f1041ec8b1de6fce43d836a55468 not-for-merge 'refs/pull/224/head' of https://github.com/python/typing
30ec2751a96be037a02879b6c551b7a00d05a596 not-for-merge 'refs/pull/225/head' of https://github.com/python/typing
060516309909e5dad32ef6edf54f426411afb8ea not-for-merge 'refs/pull/226/head' of https://github.com/python/typing
a915bd4007df7760302f4248b79efeb1936e57e4 not-for-merge 'refs/pull/227/head' of https://github.com/python/typing
f0fd9308c44434ad4d8a2777372c1cd8abe0a3c6 not-for-merge 'refs/pull/232/head' of https://github.com/python/typing
8ab2166b429af7d5d75b2c617e668aa6ca898956 not-for-merge 'refs/pull/233/head' of https://github.com/python/typing
2496ab4a84f4545ca9bb33b533a4bf1c9c80f196 not-for-merge 'refs/pull/234/head' of https://github.com/python/typing
8aaa891bfafcc91f0c59d542071e64a18a3e3291 not-for-merge 'refs/pull/235/head' of https://github.com/python/typing
0f55c3114cc506a409ed99d3102cb6d730ded879 not-for-merge 'refs/pull/240/head' of https://github.com/python/typing
217561bb9f9cd93155112fc5980045b96c79112f not-for-merge 'refs/pull/244/head' of https://github.com/python/typing
f7744e75c40b202a0af31216a847a5dbb72909ea not-for-merge 'refs/pull/252/head' of https://github.com/python/typing
609b8743b3080016f470125aa3a9ee61fc3c3988 not-for-merge 'refs/pull/255/head' of https://github.com/python/typing
2f2df33391b426aeb26628ff43245f71186f6876 not-for-merge 'refs/pull/257/head' of https://github.com/python/typing
72b6e88a5f79a159d60045bfcbe5f7575d7bc324 not-for-merge 'refs/pull/261/head' of https://github.com/python/typing
44102826c84f7ebd1c793a2595bde53b9f796674 not-for-merge 'refs/pull/265/head' of https://github.com/python/typing
2589b22bfa2823f5f5563e9c5bd6d43cd13efef8 not-for-merge 'refs/pull/267/head' of https://github.com/python/typing
45ed0f861c41204d64ad77ce82cad93f4eea5d88 not-for-merge 'refs/pull/273/head' of https://github.com/python/typing
c66439fd89bd344d154799ce6f83943d775addb9 not-for-merge 'refs/pull/273/merge' of https://github.com/python/typing
33f55d7e67d7affd9f721cc0801f646eb7d4e59b not-for-merge 'refs/pull/280/head' of https://github.com/python/typing
d0cfe907045f11fc7abae886dac3ffe5b96678de not-for-merge 'refs/pull/281/head' of https://github.com/python/typing
11b69402653beae8ee870ea7d63365921a988454 not-for-merge 'refs/pull/282/head' of https://github.com/python/typing
e8c85b26ea5e48da7e26162327a7cb8a919bbe84 not-for-merge 'refs/pull/283/head' of https://github.com/python/typing
7991496aa8302a440146a437f3b0cbbd017c07e8 not-for-merge 'refs/pull/287/head' of https://github.com/python/typing
c5b66dea9ca1ac98f5d7b73c7230252f7cc5d354 not-for-merge 'refs/pull/288/head' of https://github.com/python/typing
1751faf573e4bfd1dfde44519156fda8853da004 not-for-merge 'refs/pull/289/head' of https://github.com/python/typing
658671e7801aae365c5491a47c318340de021391 not-for-merge 'refs/pull/291/head' of https://github.com/python/typing
e8c2d87cd46b34457970bd3021853a1376205f5a not-for-merge 'refs/pull/294/head' of https://github.com/python/typing
f4932bb33887448615bcb27098341b74786b0b4d not-for-merge 'refs/pull/295/head' of https://github.com/python/typing
232f80ad41efbbaba9ccb546d85ec58a83beab1a not-for-merge 'refs/pull/296/head' of https://github.com/python/typing
199dfa22fc3eee72feaae511494dcd28861b42d7 not-for-merge 'refs/pull/304/head' of https://github.com/python/typing
49b5ad5d7c39a3053a87b60ecf722215e16e5244 not-for-merge 'refs/pull/305/head' of https://github.com/python/typing
ea5dd0546f749bbceab7d0b572f84354c1a72acb not-for-merge 'refs/pull/308/head' of https://github.com/python/typing
8893a0b0cdca4e8ed8688c292ca0ce76b67565db not-for-merge 'refs/pull/311/head' of https://github.com/python/typing
782b82a9e6a13950a4326055b43319a31b0de722 not-for-merge 'refs/pull/312/head' of https://github.com/python/typing
00c0b1d0c4dfd48472c307dfd402a1f8a39928bb not-for-merge 'refs/pull/314/head' of https://github.com/python/typing
77bdacbd33587840d493ad0685eaec79a31f438c not-for-merge 'refs/pull/316/head' of https://github.com/python/typing
d95353a0e72232cc41b1781cbf226d1fe89fadab not-for-merge 'refs/pull/317/head' of https://github.com/python/typing
dc99c701a91d8bfc558e754f3f89a6eb3b52d266 not-for-merge 'refs/pull/318/head' of https://github.com/python/typing
5e6773db59cd563a28f7d950d85b73570f88b626 not-for-merge 'refs/pull/319/head' of https://github.com/python/typing
ea1ed264a73908191cd3b4482a7c1d4a925fcab1 not-for-merge 'refs/pull/320/head' of https://github.com/python/typing
d81d72859a31e6a5eae0eb29bafcf99054835750 not-for-merge 'refs/pull/321/head' of https://github.com/python/typing
14690357109b048458fc21243f1eb7a9ae0bd2c3 not-for-merge 'refs/pull/322/head' of https://github.com/python/typing
e5d41bfb67c85b1bc4fe4b5968692f0b4bc3f66e not-for-merge 'refs/pull/322/merge' of https://github.com/python/typing
13a27cbaac5e043f194490e04d3adf928a7a2441 not-for-merge 'refs/pull/324/head' of https://github.com/python/typing
11e5c86b4ea7d5a2cd1852a865e08352295574b3 not-for-merge 'refs/pull/325/head' of https://github.com/python/typing
f38f32b51ea7699379f51477877758eedae0271b not-for-merge 'refs/pull/326/head' of https://github.com/python/typing
a8f5ac38014f9aff14ebe231af66bab09e2438d6 not-for-merge 'refs/pull/327/head' of https://github.com/python/typing
166ccf7095475a2a91012e5bda67e0e0aa71627c not-for-merge 'refs/pull/328/head' of https://github.com/python/typing
c9c76368023dd64e7cb19b0cdffeb1f0b8ce64fc not-for-merge 'refs/pull/329/head' of https://github.com/python/typing
93fcc04db7d047961c7d5f999d4d18911b6941d6 not-for-merge 'refs/pull/330/head' of https://github.com/python/typing
e1b5cd4f6c5ceef60ccd74ebeb6ee9d0657630f0 not-for-merge 'refs/pull/331/head' of https://github.com/python/typing
12a35f262c50b143d789a2e4a2f22e29403b348c not-for-merge 'refs/pull/333/head' of https://github.com/python/typing
dc8059d5d11b5a07f52a9af4e984b00bce4bec85 not-for-merge 'refs/pull/333/merge' of https://github.com/python/typing
f19176797f198a22de3398237edb2e86fec202c6 not-for-merge 'refs/pull/334/head' of https://github.com/python/typing
65a14412322e854f69977a412cea5e0d87a7d128 not-for-merge 'refs/pull/337/head' of https://github.com/python/typing
c7bf5a69a7d5343b87f5f714f3e4449ef85cdaea not-for-merge 'refs/pull/337/merge' of https://github.com/python/typing
dab309315295ef8a598f9db1a9f39db403f60819 not-for-merge 'refs/pull/338/head' of https://github.com/python/typing
225a92b9d563fd46855ee7badb97a2136a18afe7 not-for-merge 'refs/pull/340/head' of https://github.com/python/typing
a70bf33f9ed5f093527b120f1c68805428d3d9f9 not-for-merge 'refs/pull/344/head' of https://github.com/python/typing
f4bd52f267f2056b620da0234268530e449a031e not-for-merge 'refs/pull/346/head' of https://github.com/python/typing
a5a2a217a60f0b40f652224a95d3046c1a7df043 not-for-merge 'refs/pull/348/head' of https://github.com/python/typing
c42064dfe0ac9d26551b4eb2bb676ca2f54b9d48 not-for-merge 'refs/pull/349/head' of https://github.com/python/typing
255a658d36e39f12de0724f67a0fe071dad261a5 not-for-merge 'refs/pull/350/head' of https://github.com/python/typing
ea0a4ecdcd7c22afd56810cc8051411c91a89fe3 not-for-merge 'refs/pull/354/head' of https://github.com/python/typing
b96c4d46b67147d0d3d2dcb728d094f3e35291e5 not-for-merge 'refs/pull/356/head' of https://github.com/python/typing
8b0b59b69595ac6b292016abfa131e7aa7f138de not-for-merge 'refs/pull/357/head' of https://github.com/python/typing
b288e3a006545cb72f36361549b496537666f53c not-for-merge 'refs/pull/358/head' of https://github.com/python/typing
4188c10d33ac67c1dc33c68317afcb59750973fd not-for-merge 'refs/pull/359/head' of https://github.com/python/typing
cbf2931f2f1029fecc565145ac89fc5f1e7829a6 not-for-merge 'refs/pull/360/head' of https://github.com/python/typing
af0ba77e217ff2698c420490d38a4a5a0e709879 not-for-merge 'refs/pull/361/head' of https://github.com/python/typing
f1412d015ffed3a88dd166eb44c95b2283d3d1fd not-for-merge 'refs/pull/362/head' of https://github.com/python/typing
95f0fc08bbe84d41438de3fab0648e0f943a2bf1 not-for-merge 'refs/pull/364/head' of https://github.com/python/typing
6db7c036813c6d9c70065c7de4f4d5bd36da093d not-for-merge 'refs/pull/365/head' of https://github.com/python/typing
cbb42d9c24797471520f3ab5a38baca2f7f5ee8f not-for-merge 'refs/pull/366/head' of https://github.com/python/typing
876b6ba4769eea6ef4cf37aabf1ffe6587a80576 not-for-merge 'refs/pull/368/head' of https://github.com/python/typing
ac6dc5b2134d51dd1a3f3ba8256fd216ce934a25 not-for-merge 'refs/pull/370/head' of https://github.com/python/typing
28d3333331580eee930094c45904eebece269e9f not-for-merge 'refs/pull/371/head' of https://github.com/python/typing
6e0165d65e214ffaaecea503bd3d8e8858f68543 not-for-merge 'refs/pull/373/head' of https://github.com/python/typing
5f69d62896d290404c4b1e7797e7cff5432f555e not-for-merge 'refs/pull/375/head' of https://github.com/python/typing
30d56cbc852876f364d473c91918430018c67f8c not-for-merge 'refs/pull/376/head' of https://github.com/python/typing
329902fd5944c8468fecc71ea5832073a35f1ba9 not-for-merge 'refs/pull/377/head' of https://github.com/python/typing
3d97eca7f2fed86325e6cd6fecc4df8d2a75757e not-for-merge 'refs/pull/377/merge' of https://github.com/python/typing
6da2946380d5395c9705458e2414884fe6a99814 not-for-merge 'refs/pull/381/head' of https://github.com/python/typing
1e3988362c63f4b0577aa4d9ff6a0dad95731ce4 not-for-merge 'refs/pull/382/head' of https://github.com/python/typing
0ca5c0b0c6ba2047a65ccff733bde5cbe82bcd2b not-for-merge 'refs/pull/383/head' of https://github.com/python/typing
d1b2baf4e70772c737c7126e8f404c80953d21f4 not-for-merge 'refs/pull/386/head' of https://github.com/python/typing
a4478934004a15f766f9598b596c977788df299b not-for-merge 'refs/pull/388/head' of https://github.com/python/typing
f70b9550217454de5a9649a1aefb77da3054423c not-for-merge 'refs/pull/390/head' of https://github.com/python/typing
dce0a273b0f7b076ab40a963b6d8736b35fb2de1 not-for-merge 'refs/pull/393/head' of https://github.com/python/typing
46ad855e84beb9defefb3527a15e7c555cabc94a not-for-merge 'refs/pull/394/head' of https://github.com/python/typing
1a9b1ddad49a33163192d53ba8dd84fb2c10d5a6 not-for-merge 'refs/pull/396/head' of https://github.com/python/typing
d0c7f374296e0466a3ba059b209aa0835daae29b not-for-merge 'refs/pull/397/head' of https://github.com/python/typing
8d96ee2b02e62f6b11202649f11715365a93f5a6 not-for-merge 'refs/pull/398/head' of https://github.com/python/typing
9f965f2bdda8a83063d9f2484258e8e145b3fac5 not-for-merge 'refs/pull/406/head' of https://github.com/python/typing
80dc737ecb6c9e5a7e96004cb9da776324a14591 not-for-merge 'refs/pull/407/head' of https://github.com/python/typing
584e43cf6ceb1bc1e6277fbf916a96e5808a0e63 not-for-merge 'refs/pull/408/head' of https://github.com/python/typing
d531bae37b79b72084b11e308850cab1cd6d97c4 not-for-merge 'refs/pull/409/head' of https://github.com/python/typing
7bbe5277d1064031847c43a2a04ed1e63e964eb0 not-for-merge 'refs/pull/416/head' of https://github.com/python/typing
3b8d7b076910ff538ef84fb7512a5759259d24cb not-for-merge 'refs/pull/416/merge' of https://github.com/python/typing
904c978670102c6e116c096bc3706e290f801237 not-for-merge 'refs/pull/417/head' of https://github.com/python/typing
8210959b2a69cfa839a3b941888d3fe87b08a778 not-for-merge 'refs/pull/419/head' of https://github.com/python/typing
cae5065062c8917cdb0d1fc5036014dafb6522a6 not-for-merge 'refs/pull/422/head' of https://github.com/python/typing
37a22356177b3e54de801e567b7860b609178a35 not-for-merge 'refs/pull/43/head' of https://github.com/python/typing
18c47a68c3c41e30e4dcdf11e1633ff14ba8ab6d not-for-merge 'refs/pull/43/merge' of https://github.com/python/typing
13234da1137398926470a1596d6b41c029267cd5 not-for-merge 'refs/pull/436/head' of https://github.com/python/typing
efaca50e19fd3978a0aaae2b0d6e254d1d2b1c26 not-for-merge 'refs/pull/436/merge' of https://github.com/python/typing
ddc3cfe7ee211c4b9f2f1c38374dd97b49ab1ea0 not-for-merge 'refs/pull/437/head' of https://github.com/python/typing
879a6cc46e8fe891367fed517eed281c2619cfe3 not-for-merge 'refs/pull/437/merge' of https://github.com/python/typing
1283d709b8c99bf09f3c3757e16c66b1080b1544 not-for-merge 'refs/pull/438/head' of https://github.com/python/typing
6b223a1d2890abb4b457c42a40d9637e25300286 not-for-merge 'refs/pull/439/head' of https://github.com/python/typing
2f23ef5b8dc5ad11ab89e10869a703a004a19cb0 not-for-merge 'refs/pull/44/head' of https://github.com/python/typing
734a7e621366ba7c11da2076ab1e1c8054548fe7 not-for-merge 'refs/pull/44/merge' of https://github.com/python/typing
002d6ea8bb6efee57c9469435c1dd671b6741299 not-for-merge 'refs/pull/440/head' of https://github.com/python/typing
76cc99d76b337b29ec42a2a2477e3df5cf0a5a5f not-for-merge 'refs/pull/443/head' of https://github.com/python/typing
7cb88698f95d2fd4efe8e62ae37f96cd907f7cb4 not-for-merge 'refs/pull/444/head' of https://github.com/python/typing
9b199539a1dd3094cdb18592182cb004fdcbf054 not-for-merge 'refs/pull/453/head' of https://github.com/python/typing
baf9ec346e3213d0672a4c4e97ecbe089196739b not-for-merge 'refs/pull/46/head' of https://github.com/python/typing
3347960e5bf59ec34f5b09fc487537373d8d0e84 not-for-merge 'refs/pull/46/merge' of https://github.com/python/typing
1130457c7d8bb26befca082e4e6dc51eef983201 not-for-merge 'refs/pull/460/head' of https://github.com/python/typing
8e4cf8407f4a2f6b949481896d22faef209ce1f5 not-for-merge 'refs/pull/461/head' of https://github.com/python/typing
628fab987adc7a83a96000ecfe3a2193199b2527 not-for-merge 'refs/pull/462/head' of https://github.com/python/typing
783d1a7c5995dbf66683044248402e4a3ce133ac not-for-merge 'refs/pull/463/head' of https://github.com/python/typing
a66c123399b3869f8d77a9b5e4b2183be13f8067 not-for-merge 'refs/pull/463/merge' of https://github.com/python/typing
a4d397ee2ec0836a914f69e2cc08478b9ab01f2c not-for-merge 'refs/pull/464/head' of https://github.com/python/typing
aafaab76548bcbeb94a3171e12b986397507cbc9 not-for-merge 'refs/pull/47/head' of https://github.com/python/typing
90ce587a2c2f39d6ca2de83dc1a8ba76faad2b6d not-for-merge 'refs/pull/47/merge' of https://github.com/python/typing
4cc96aee42ce60deb34d22f899d01e06f4a2631f not-for-merge 'refs/pull/470/head' of https://github.com/python/typing
236d5cef01f72717c5ce5026cf8fa54d27159932 not-for-merge 'refs/pull/472/head' of https://github.com/python/typing
ee6f1269220fa63e0c2155343e8425cd53614701 not-for-merge 'refs/pull/473/head' of https://github.com/python/typing
379cf7b840297556dc2e06000f41bfa78aa728a0 not-for-merge 'refs/pull/474/head' of https://github.com/python/typing
b6b7be5d15f427863c917ccabbd3e361c280e633 not-for-merge 'refs/pull/476/head' of https://github.com/python/typing
69af2ac9d99c1ece42af262035d67420d4be137a not-for-merge 'refs/pull/486/head' of https://github.com/python/typing
e9f2202229672c863cf35cc3283f9182ccc1acd0 not-for-merge 'refs/pull/490/head' of https://github.com/python/typing
082bc68fdd610bcc53696d730a19df9c243c8829 not-for-merge 'refs/pull/490/merge' of https://github.com/python/typing
42b16978561924ac6826e23b9f15ff479ab02399 not-for-merge 'refs/pull/502/head' of https://github.com/python/typing
8029b2391ee432625d8edd9877c2c4f4d6af17a1 not-for-merge 'refs/pull/503/head' of https://github.com/python/typing
9fe695826f668e2033232981ff3dba1694e1716f not-for-merge 'refs/pull/504/head' of https://github.com/python/typing
093b59692a3388804d7e5742ed6704b03432e4be not-for-merge 'refs/pull/507/head' of https://github.com/python/typing
23674e6908367ff29f9971618efc618b70a23335 not-for-merge 'refs/pull/517/head' of https://github.com/python/typing
1e9028a47e0e4b4df491b8be9a0461e49f0d954f not-for-merge 'refs/pull/525/head' of https://github.com/python/typing
646cf5ff9d31e1557338c285ee57f171eb75f344 not-for-merge 'refs/pull/525/merge' of https://github.com/python/typing
b52452bcc0e55a03452d093379f346049f84b033 not-for-merge 'refs/pull/527/head' of https://github.com/python/typing
417549d40aec126ca27b5cc4d2f5922704a9d30a not-for-merge 'refs/pull/537/head' of https://github.com/python/typing
037ab0b8258b6943b1dfbd7d077b9b0a446d01a1 not-for-merge 'refs/pull/538/head' of https://github.com/python/typing
66314aac1f620b2f3a4e7e44e499e311045cf7e4 not-for-merge 'refs/pull/538/merge' of https://github.com/python/typing
0576db7f9d42ce844c603289ddd15a5b0393b4a1 not-for-merge 'refs/pull/545/head' of https://github.com/python/typing
f124df5ea52bd2298d14b6f7e8945f5d6cfa6813 not-for-merge 'refs/pull/549/head' of https://github.com/python/typing
34183e899cd1fadc3c536c018960a79f0ab7ce53 not-for-merge 'refs/pull/557/head' of https://github.com/python/typing
7e2ba9bd96ab725385056fa840913e98b715f655 not-for-merge 'refs/pull/557/merge' of https://github.com/python/typing
3fc664ad5989911405a609c2385a6472ea5ad41b not-for-merge 'refs/pull/558/head' of https://github.com/python/typing
a9b24bf724a652b48d0072d60eee09c61e013e17 not-for-merge 'refs/pull/560/head' of https://github.com/python/typing
fb7915a6e79578e2b9942b7d8a06b8cb393c5d9b not-for-merge 'refs/pull/571/head' of https://github.com/python/typing
33a0ba04a1137906310aa15710043c4a5f9b15a3 not-for-merge 'refs/pull/576/head' of https://github.com/python/typing
b1fe15622f64803077c3e43fa8a09e96fd025e70 not-for-merge 'refs/pull/580/head' of https://github.com/python/typing
e940dec43fd1082bbdfbc769e5c1164f89ef1644 not-for-merge 'refs/pull/581/head' of https://github.com/python/typing
c65a8d01e805c53befd7d9404161c7ce69129d90 not-for-merge 'refs/pull/583/head' of https://github.com/python/typing
7ca4e1911271c5e5b51f6dc32cd489fcb0113056 not-for-merge 'refs/pull/586/head' of https://github.com/python/typing
6cc8660f2f3c2f2439b3502f13d2f99abe56a597 not-for-merge 'refs/pull/587/head' of https://github.com/python/typing
951293e16eec049bb4db3ecd035b06bf387c1838 not-for-merge 'refs/pull/591/head' of https://github.com/python/typing
4792339a5ad39ab59e009ce20625d46c4090ddf2 not-for-merge 'refs/pull/605/head' of https://github.com/python/typing
886fa4f49d02601a59c128c2b15ff5ae0be48adb not-for-merge 'refs/pull/613/head' of https://github.com/python/typing
946c9c23080eda4b5736927f5d329fa2ff8ea705 not-for-merge 'refs/pull/615/head' of https://github.com/python/typing
18297dcbb18d64b1a12de406ac69e9c23719e441 not-for-merge 'refs/pull/619/head' of https://github.com/python/typing
2ec5a2091bcd65ca08c327347932e20c34c7d93b not-for-merge 'refs/pull/625/head' of https://github.com/python/typing
8b173130b22b7ef376b8c67111051702fcf66c08 not-for-merge 'refs/pull/627/head' of https://github.com/python/typing
d5e0ffb9a935715b9ef760529e5351f5d2d8a0d8 not-for-merge 'refs/pull/628/head' of https://github.com/python/typing
f1a6c31d35602a149d4e5002380f977555653f3a not-for-merge 'refs/pull/630/head' of https://github.com/python/typing
37d3150473b8623fbcd9d9f167c123365baca8c8 not-for-merge 'refs/pull/631/head' of https://github.com/python/typing
86fc46303872e8469ea1316a27500b5595169d33 not-for-merge 'refs/pull/632/head' of https://github.com/python/typing
4b75eb8a9884ff511b9ddc34097ec9bdf8a7a1fe not-for-merge 'refs/pull/633/head' of https://github.com/python/typing
3cc59734f3738aefb892c00f24bb96dc2010a175 not-for-merge 'refs/pull/634/head' of https://github.com/python/typing
87225092607eadee8eec43c505f6f04b1f13d1c6 not-for-merge 'refs/pull/635/head' of https://github.com/python/typing
6098419554b2d0207feb4265ac8bd22dc94b2400 not-for-merge 'refs/pull/636/head' of https://github.com/python/typing
3a20f8430f2aa7a67d64e177f16c00e8fe5dc47f not-for-merge 'refs/pull/637/head' of https://github.com/python/typing
68e15c6e4f1606f408488a9f17aba09f7298bf7e not-for-merge 'refs/pull/639/head' of https://github.com/python/typing
6e5f4706b738b32a18eb43a35b0c1c321b8abc61 not-for-merge 'refs/pull/640/head' of https://github.com/python/typing
078d59a77c5cc24ec3063f53899b068b738bb3fd not-for-merge 'refs/pull/642/head' of https://github.com/python/typing
998a2fc776ec41eeb9e0d8a15ad10b08ba21a8f5 not-for-merge 'refs/pull/647/head' of https://github.com/python/typing
21f3f11ead394f36b9d5921b237c9d4dafb75009 not-for-merge 'refs/pull/649/head' of https://github.com/python/typing
f7818ba91006a959cd02dada30a8e8046110ae3a not-for-merge 'refs/pull/650/head' of https://github.com/python/typing
c82524ae17d84636b186b7768c1a0fc7e9a86eb2 not-for-merge 'refs/pull/651/head' of https://github.com/python/typing
9322da9b9e71db48af083027642e2bf26bca231e not-for-merge 'refs/pull/652/head' of https://github.com/python/typing
3140bdd4d82969187954062705c7112687bad56a not-for-merge 'refs/pull/654/head' of https://github.com/python/typing
1bfe10e37f50e9da584b6715c14eddbbbe11d0a4 not-for-merge 'refs/pull/66/head' of https://github.com/python/typing
00195793fd02ed8d82f9be20800eae48567faff2 not-for-merge 'refs/pull/66/merge' of https://github.com/python/typing
8d70391bbefb67d2ba4655dfcd1269301d268449 not-for-merge 'refs/pull/661/head' of https://github.com/python/typing
9f8bc950530529c6110a362a62c563db36e0ce90 not-for-merge 'refs/pull/662/head' of https://github.com/python/typing
1427eb7d03d2d10cd566cf96137b991da6045701 not-for-merge 'refs/pull/666/head' of https://github.com/python/typing
4b9dfcf1a984865de78ca18b41178f60c6177ebf not-for-merge 'refs/pull/669/head' of https://github.com/python/typing
30b69894e43c930beb6cff6dbb7aafd10954b830 not-for-merge 'refs/pull/670/head' of https://github.com/python/typing
9d5c03ae41dd4f1a2b74db0bebc852180b07bd69 not-for-merge 'refs/pull/678/head' of https://github.com/python/typing
e67191e3a6afadd526e73a778bbda82645c0d2d7 not-for-merge 'refs/pull/683/head' of https://github.com/python/typing
05119ff3968b9557009904381fc1092e6b1e7b28 not-for-merge 'refs/pull/686/head' of https://github.com/python/typing
a025736d55dea862f30d0ad5ebb7ee4ba38b0935 not-for-merge 'refs/pull/687/head' of https://github.com/python/typing
ab006a7e1b2ccda1808b5e453fcd66c497cf008e not-for-merge 'refs/pull/691/head' of https://github.com/python/typing
88d8faea72f5904971987d57ee61aaf21590e1ed not-for-merge 'refs/pull/698/head' of https://github.com/python/typing
3568690980750b6f4f59a221690b1afb8ea5aa9b not-for-merge 'refs/pull/699/head' of https://github.com/python/typing
4d89d78d8e15efca44ebb9464d8692f580d7f36f not-for-merge 'refs/pull/700/head' of https://github.com/python/typing
14aa80ca316727bc2a034869f1fa19d4769ebc96 not-for-merge 'refs/pull/701/head' of https://github.com/python/typing
6621e736ade16e4c4f2bcd31e813ab1a63bd8bee not-for-merge 'refs/pull/702/head' of https://github.com/python/typing
8ea8b2e419eca5bdafcd358c4ad079c4b80a7ec1 not-for-merge 'refs/pull/704/head' of https://github.com/python/typing
6bbe861b51ab95495a8af0adc71ec4f526a853e5 not-for-merge 'refs/pull/722/head' of https://github.com/python/typing
79a19f037fd326fb8659a630ec31d4474226f1d5 not-for-merge 'refs/pull/724/head' of https://github.com/python/typing
709a6868b1196fac076a801f724aeb43d3ff3d5f not-for-merge 'refs/pull/725/head' of https://github.com/python/typing
f3eda346ab0ec5f0b39bef30dff488c46cb69b65 not-for-merge 'refs/pull/729/head' of https://github.com/python/typing
8ff3a2c8be76dca986cd54e424a8a5ae23f86de3 not-for-merge 'refs/pull/730/head' of https://github.com/python/typing
a086515754bb240547cea53cfb7f97bd56a6d09c not-for-merge 'refs/pull/731/head' of https://github.com/python/typing
d48428d5147f09e92dcf7585f3b0ea6e24707373 not-for-merge 'refs/pull/732/head' of https://github.com/python/typing
41128ff2ac74614c32d8362864fead09fd41394b not-for-merge 'refs/pull/733/head' of https://github.com/python/typing
f2e169933de4caea1a0883bb04b8cd05656ffcea not-for-merge 'refs/pull/748/head' of https://github.com/python/typing
eb0f945bcbd22edd2b7eccbca4578b631997b840 not-for-merge 'refs/pull/90/head' of https://github.com/python/typing
e51ba24eab00e3b56cd38c564b27b1d840f47597 not-for-merge 'refs/pull/93/head' of https://github.com/python/typing
9693f868783b10719ce6ef0dd4e3768b65911eac not-for-merge tag '3.5.0' of https://github.com/python/typing
c448a763ad2c28bcc390222122a61a172dae1283 not-for-merge tag '3.5.0.1' of https://github.com/python/typing
8b173130b22b7ef376b8c67111051702fcf66c08 not-for-merge tag '3.5.1' of https://github.com/python/typing
1e4c0bae6f797ee5878ce4bb30f3b03c679e3e11 not-for-merge tag '3.5.2' of https://github.com/python/typing
1e4c0bae6f797ee5878ce4bb30f3b03c679e3e11 not-for-merge tag '3.5.2.2' of https://github.com/python/typing
60c8fc785c28950c77e598b46cdf3903944b8875 not-for-merge tag '3.5.3.0' of https://github.com/python/typing
f264669254f0e6121f683e74e2947aa6e4b43b6f not-for-merge tag '3.6.1' of https://github.com/python/typing
a84d7ada69d2d27f984d521c41047aefc791ca58 not-for-merge tag '3.6.2' of https://github.com/python/typing
ae9f5edd9575f7f94e45c6e9b64898db73a8b62a not-for-merge tag '3.6.4' of https://github.com/python/typing
d6631e8ea56063897e341207477e0cc3231f20b2 not-for-merge tag '3.6.6' of https://github.com/python/typing
baf63c5924a2b9695175df5d47ced40596024b78 not-for-merge tag '3.7.4' of https://github.com/python/typing
7c00cacae00c4f3263e939e88b5e7739150851e5 not-for-merge tag '3.7.4.1' of https://github.com/python/typing
c85016137eab6d0784b76252460235638087f468 not-for-merge tag '3.7.4.2' of https://github.com/python/typing
ffebbecbf4ad162572050ecfaac4335cc5431c24 not-for-merge tag '3.7.4.3' of https://github.com/python/typing

View File

@@ -1 +0,0 @@
ref: refs/heads/master

View File

@@ -1,10 +0,0 @@
[core]
repositoryformatversion = 0
filemode = false
bare = true
symlinks = false
ignorecase = true
[remote "origin"]
url = https://github.com/python/typing.git
fetch = +refs/*:refs/*
mirror = true

View File

@@ -1 +0,0 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@@ -1,15 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@@ -1,24 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@@ -1,173 +0,0 @@
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 2) and last update token
# formatted as a string and outputs to stdout a new update token and
# all files that have been modified since the update token. Paths must
# be relative to the root of the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $last_update_token) = @ARGV;
# Uncomment for debugging
# print STDERR "$0 $version $last_update_token\n";
# Check the hook interface version
if ($version ne 2) {
die "Unsupported query-fsmonitor hook version '$version'.\n" .
"Falling back to scanning...\n";
}
my $git_work_tree = get_working_dir();
my $retry = 1;
my $json_pkg;
eval {
require JSON::XS;
$json_pkg = "JSON::XS";
1;
} or do {
require JSON::PP;
$json_pkg = "JSON::PP";
};
launch_watchman();
sub launch_watchman {
my $o = watchman_query();
if (is_work_tree_watched($o)) {
output_result($o->{clock}, @{$o->{files}});
}
}
sub output_result {
my ($clockid, @files) = @_;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# binmode $fh, ":utf8";
# print $fh "$clockid\n@files\n";
# close $fh;
binmode STDOUT, ":utf8";
print $clockid;
print "\0";
local $, = "\0";
print @files;
}
sub watchman_clock {
my $response = qx/watchman clock "$git_work_tree"/;
die "Failed to get clock id on '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
return $json_pkg->new->utf8->decode($response);
}
sub watchman_query {
my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
or die "open2() failed: $!\n" .
"Falling back to scanning...\n";
# In the query expression below we're asking for names of files that
# changed since $last_update_token but not from the .git folder.
#
# To accomplish this, we're using the "since" generator to use the
# recency index to select candidate nodes and "fields" to limit the
# output to file names only. Then we're using the "expression" term to
# further constrain the results.
if (substr($last_update_token, 0, 1) eq "c") {
$last_update_token = "\"$last_update_token\"";
}
my $query = <<" END";
["query", "$git_work_tree", {
"since": $last_update_token,
"fields": ["name"],
"expression": ["not", ["dirname", ".git"]]
}]
END
# Uncomment for debugging the watchman query
# open (my $fh, ">", ".git/watchman-query.json");
# print $fh $query;
# close $fh;
print CHLD_IN $query;
close CHLD_IN;
my $response = do {local $/; <CHLD_OUT>};
# Uncomment for debugging the watch response
# open ($fh, ">", ".git/watchman-response.json");
# print $fh $response;
# close $fh;
die "Watchman: command returned no output.\n" .
"Falling back to scanning...\n" if $response eq "";
die "Watchman: command returned invalid output: $response\n" .
"Falling back to scanning...\n" unless $response =~ /^\{/;
return $json_pkg->new->utf8->decode($response);
}
sub is_work_tree_watched {
my ($output) = @_;
my $error = $output->{error};
if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
$retry--;
my $response = qx/watchman watch "$git_work_tree"/;
die "Failed to make watchman watch '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
$output = $json_pkg->new->utf8->decode($response);
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# close $fh;
# Watchman will always return all files on the first query so
# return the fast "everything is dirty" flag to git and do the
# Watchman query just to get it over with now so we won't pay
# the cost in git to look up each individual file.
my $o = watchman_clock();
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
output_result($o->{clock}, ("/"));
$last_update_token = $o->{clock};
eval { launch_watchman() };
return 0;
}
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
return 1;
}
sub get_working_dir {
my $working_dir;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
$working_dir = Win32::GetCwd();
$working_dir =~ tr/\\/\//;
} else {
require Cwd;
$working_dir = Cwd::cwd();
}
return $working_dir;
}

View File

@@ -1,8 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@@ -1,14 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@@ -1,49 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --type=bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@@ -1,13 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git merge" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message to
# stderr if it wants to stop the merge commit.
#
# To enable this hook, rename this file to "pre-merge-commit".
. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
exec "$GIT_DIR/hooks/pre-commit"
:

View File

@@ -1,53 +0,0 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local sha1> <remote ref> <remote sha1>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
z40=0000000000000000000000000000000000000000
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
then
# Handle delete
:
else
if [ "$remote_sha" = $z40 ]
then
# New branch, examine all commits
range="$local_sha"
else
# Update to existing branch, examine new commits
range="$remote_sha..$local_sha"
fi
# Check for WIP commit
commit=`git rev-list -n 1 --grep '^WIP' "$range"`
if [ -n "$commit" ]
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

View File

@@ -1,169 +0,0 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up to date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@@ -1,24 +0,0 @@
#!/bin/sh
#
# An example hook script to make use of push options.
# The example simply echoes all push options that start with 'echoback='
# and rejects all pushes when the "reject" push option is used.
#
# To enable this hook, rename this file to "pre-receive".
if test -n "$GIT_PUSH_OPTION_COUNT"
then
i=0
while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
do
eval "value=\$GIT_PUSH_OPTION_$i"
case "$value" in
echoback=*)
echo "echo from the pre-receive-hook: ${value#*=}" >&2
;;
reject)
exit 1
esac
i=$((i + 1))
done
fi

View File

@@ -1,42 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first one removes the
# "# Please enter the commit message..." help message.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
COMMIT_MSG_FILE=$1
COMMIT_SOURCE=$2
SHA1=$3
/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
# case "$COMMIT_SOURCE,$SHA1" in
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
# *) ;;
# esac
# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
# if test -z "$COMMIT_SOURCE"
# then
# /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
# fi

View File

@@ -1,128 +0,0 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --type=bool hooks.allowunannotated)
allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero="0000000000000000000000000000000000000000"
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

View File

@@ -1,6 +0,0 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~

View File

@@ -1,273 +0,0 @@
# pack-refs with: peeled fully-peeled sorted
95d6776c0d07e7b096ca153ed6c5b1b30db738e1 refs/heads/master
8b173130b22b7ef376b8c67111051702fcf66c08 refs/heads/release-3.5.1
b85b13e321da9c8857eec65f68a80ff97104c663 refs/pull/104/head
f8d33bb22b7135613f43e9b883527586d654fb06 refs/pull/104/merge
822777f60cd6940b383f249c5be0787ad6e58566 refs/pull/108/head
03cf5d36907b6b7432b81420c8101560fa3627fc refs/pull/108/merge
8a800db290f2016ee8352ecb61a55cb2f19e6f08 refs/pull/117/head
260b26a009a76beb918de69bf6bfa39280ab3a0b refs/pull/117/merge
136a2bcaf2bf70b13c704907cf9fbcfa10850b28 refs/pull/118/head
0a2ff67baa60f94c513380576e688fc3bf0dd82b refs/pull/118/merge
448cd24b69c39d9720255d6d66180e10c494851c refs/pull/141/head
5de69e19cd39b038e694f4d7b2375a5363b3bc51 refs/pull/141/merge
177beb2912e49a5318f7ef497413346e4b6b0cf5 refs/pull/144/head
82938d067b6aca4bc94487bafc022a02d9f626b3 refs/pull/145/head
743dce97657bd96d4fb1861d2ab64a77d4e95d0b refs/pull/145/merge
f5e1a22506bca5b187b555eda854b9c6ede13b96 refs/pull/147/head
99fc998c5383a084c4ce47cd5bf481b78c4be3ba refs/pull/147/merge
f8a86f00dc9805dfefd60eb66afd65d51ee6de0f refs/pull/150/head
764588c97d7407b86560a416f67cf21f72009c17 refs/pull/153/head
7897261400d06421c90bb3dd498e655f8265fadf refs/pull/154/head
aea854253a1dfad4faa554df1883cf857c5d6cb6 refs/pull/158/head
39d1ee83b8af8a3a5e6a42f314b7bbf20539b66a refs/pull/162/head
2aa13741538068a252733d4f339ab6c600d9de26 refs/pull/164/head
492624acf0755ebbc8067e86417d5a6c81d9176d refs/pull/166/head
9cb13feb0e80bbd6eca7ec0076fc2d05809f1219 refs/pull/166/merge
2edc23b31af28215a236cfb73395f64c46cd973d refs/pull/168/head
e554e34fe521b2450ae5964056fe869daf047357 refs/pull/181/head
1ceb0d7d9129feced6cb4d6c268fda170a306962 refs/pull/190/head
4e9e36aa695f4c8c51c553f8c613f53b9a21b5d1 refs/pull/194/head
e0d1c5dc659db9734c10a1b3c678df9df75fcda0 refs/pull/195/head
00212331410dc8fa1910d24a0522ad8b4950b0db refs/pull/197/head
00212331410dc8fa1910d24a0522ad8b4950b0db refs/pull/198/head
86d5d88d44435ba976bb85b0491b08b0e3e078ab refs/pull/198/merge
0aa6002e303d43ed0243b1b3fa5cbfef48a6a7b5 refs/pull/199/head
4ad18e2a9fe62ad3de21a79107b8dd7155a27ff2 refs/pull/201/head
b1aa749d0a8cf9462525a8166339dd8448c6f48b refs/pull/205/head
142e5e7b433781fc6983bbc3c6b04edb783fd585 refs/pull/206/head
fd4a1b0790dcabc18d3e3c94e81ee3774ac0d9b5 refs/pull/207/head
6025216640d9fa1e8962fd6d13a170e69783afa2 refs/pull/214/head
bd8173470a53cb6dbc3b7169a7f79120161b4d26 refs/pull/215/head
49c68551ec27bed1754916e17c45449dad8a2c8b refs/pull/216/head
def3299121b484d595926a4b1508638deea5b8c9 refs/pull/217/head
c6a60b6439a18d730a23aeded9006513da31012e refs/pull/217/merge
2192c76a9296d2b6a6b9f5419fc82fc6a34ec51a refs/pull/218/head
b8513a76b98f1b8e997bc5d3bcd21db40f4de41e refs/pull/219/head
ae90f5682c986ffab1496eb690d0c650d4e582a5 refs/pull/223/head
002d88b72921f1041ec8b1de6fce43d836a55468 refs/pull/224/head
30ec2751a96be037a02879b6c551b7a00d05a596 refs/pull/225/head
060516309909e5dad32ef6edf54f426411afb8ea refs/pull/226/head
a915bd4007df7760302f4248b79efeb1936e57e4 refs/pull/227/head
f0fd9308c44434ad4d8a2777372c1cd8abe0a3c6 refs/pull/232/head
8ab2166b429af7d5d75b2c617e668aa6ca898956 refs/pull/233/head
2496ab4a84f4545ca9bb33b533a4bf1c9c80f196 refs/pull/234/head
8aaa891bfafcc91f0c59d542071e64a18a3e3291 refs/pull/235/head
0f55c3114cc506a409ed99d3102cb6d730ded879 refs/pull/240/head
217561bb9f9cd93155112fc5980045b96c79112f refs/pull/244/head
f7744e75c40b202a0af31216a847a5dbb72909ea refs/pull/252/head
609b8743b3080016f470125aa3a9ee61fc3c3988 refs/pull/255/head
2f2df33391b426aeb26628ff43245f71186f6876 refs/pull/257/head
72b6e88a5f79a159d60045bfcbe5f7575d7bc324 refs/pull/261/head
44102826c84f7ebd1c793a2595bde53b9f796674 refs/pull/265/head
2589b22bfa2823f5f5563e9c5bd6d43cd13efef8 refs/pull/267/head
45ed0f861c41204d64ad77ce82cad93f4eea5d88 refs/pull/273/head
c66439fd89bd344d154799ce6f83943d775addb9 refs/pull/273/merge
33f55d7e67d7affd9f721cc0801f646eb7d4e59b refs/pull/280/head
d0cfe907045f11fc7abae886dac3ffe5b96678de refs/pull/281/head
11b69402653beae8ee870ea7d63365921a988454 refs/pull/282/head
e8c85b26ea5e48da7e26162327a7cb8a919bbe84 refs/pull/283/head
7991496aa8302a440146a437f3b0cbbd017c07e8 refs/pull/287/head
c5b66dea9ca1ac98f5d7b73c7230252f7cc5d354 refs/pull/288/head
1751faf573e4bfd1dfde44519156fda8853da004 refs/pull/289/head
658671e7801aae365c5491a47c318340de021391 refs/pull/291/head
e8c2d87cd46b34457970bd3021853a1376205f5a refs/pull/294/head
f4932bb33887448615bcb27098341b74786b0b4d refs/pull/295/head
232f80ad41efbbaba9ccb546d85ec58a83beab1a refs/pull/296/head
199dfa22fc3eee72feaae511494dcd28861b42d7 refs/pull/304/head
49b5ad5d7c39a3053a87b60ecf722215e16e5244 refs/pull/305/head
ea5dd0546f749bbceab7d0b572f84354c1a72acb refs/pull/308/head
8893a0b0cdca4e8ed8688c292ca0ce76b67565db refs/pull/311/head
782b82a9e6a13950a4326055b43319a31b0de722 refs/pull/312/head
00c0b1d0c4dfd48472c307dfd402a1f8a39928bb refs/pull/314/head
77bdacbd33587840d493ad0685eaec79a31f438c refs/pull/316/head
d95353a0e72232cc41b1781cbf226d1fe89fadab refs/pull/317/head
dc99c701a91d8bfc558e754f3f89a6eb3b52d266 refs/pull/318/head
5e6773db59cd563a28f7d950d85b73570f88b626 refs/pull/319/head
ea1ed264a73908191cd3b4482a7c1d4a925fcab1 refs/pull/320/head
d81d72859a31e6a5eae0eb29bafcf99054835750 refs/pull/321/head
14690357109b048458fc21243f1eb7a9ae0bd2c3 refs/pull/322/head
e5d41bfb67c85b1bc4fe4b5968692f0b4bc3f66e refs/pull/322/merge
13a27cbaac5e043f194490e04d3adf928a7a2441 refs/pull/324/head
11e5c86b4ea7d5a2cd1852a865e08352295574b3 refs/pull/325/head
f38f32b51ea7699379f51477877758eedae0271b refs/pull/326/head
a8f5ac38014f9aff14ebe231af66bab09e2438d6 refs/pull/327/head
166ccf7095475a2a91012e5bda67e0e0aa71627c refs/pull/328/head
c9c76368023dd64e7cb19b0cdffeb1f0b8ce64fc refs/pull/329/head
93fcc04db7d047961c7d5f999d4d18911b6941d6 refs/pull/330/head
e1b5cd4f6c5ceef60ccd74ebeb6ee9d0657630f0 refs/pull/331/head
12a35f262c50b143d789a2e4a2f22e29403b348c refs/pull/333/head
dc8059d5d11b5a07f52a9af4e984b00bce4bec85 refs/pull/333/merge
f19176797f198a22de3398237edb2e86fec202c6 refs/pull/334/head
65a14412322e854f69977a412cea5e0d87a7d128 refs/pull/337/head
c7bf5a69a7d5343b87f5f714f3e4449ef85cdaea refs/pull/337/merge
dab309315295ef8a598f9db1a9f39db403f60819 refs/pull/338/head
225a92b9d563fd46855ee7badb97a2136a18afe7 refs/pull/340/head
a70bf33f9ed5f093527b120f1c68805428d3d9f9 refs/pull/344/head
f4bd52f267f2056b620da0234268530e449a031e refs/pull/346/head
a5a2a217a60f0b40f652224a95d3046c1a7df043 refs/pull/348/head
c42064dfe0ac9d26551b4eb2bb676ca2f54b9d48 refs/pull/349/head
255a658d36e39f12de0724f67a0fe071dad261a5 refs/pull/350/head
ea0a4ecdcd7c22afd56810cc8051411c91a89fe3 refs/pull/354/head
b96c4d46b67147d0d3d2dcb728d094f3e35291e5 refs/pull/356/head
8b0b59b69595ac6b292016abfa131e7aa7f138de refs/pull/357/head
b288e3a006545cb72f36361549b496537666f53c refs/pull/358/head
4188c10d33ac67c1dc33c68317afcb59750973fd refs/pull/359/head
cbf2931f2f1029fecc565145ac89fc5f1e7829a6 refs/pull/360/head
af0ba77e217ff2698c420490d38a4a5a0e709879 refs/pull/361/head
f1412d015ffed3a88dd166eb44c95b2283d3d1fd refs/pull/362/head
95f0fc08bbe84d41438de3fab0648e0f943a2bf1 refs/pull/364/head
6db7c036813c6d9c70065c7de4f4d5bd36da093d refs/pull/365/head
cbb42d9c24797471520f3ab5a38baca2f7f5ee8f refs/pull/366/head
876b6ba4769eea6ef4cf37aabf1ffe6587a80576 refs/pull/368/head
ac6dc5b2134d51dd1a3f3ba8256fd216ce934a25 refs/pull/370/head
28d3333331580eee930094c45904eebece269e9f refs/pull/371/head
6e0165d65e214ffaaecea503bd3d8e8858f68543 refs/pull/373/head
5f69d62896d290404c4b1e7797e7cff5432f555e refs/pull/375/head
30d56cbc852876f364d473c91918430018c67f8c refs/pull/376/head
329902fd5944c8468fecc71ea5832073a35f1ba9 refs/pull/377/head
3d97eca7f2fed86325e6cd6fecc4df8d2a75757e refs/pull/377/merge
6da2946380d5395c9705458e2414884fe6a99814 refs/pull/381/head
1e3988362c63f4b0577aa4d9ff6a0dad95731ce4 refs/pull/382/head
0ca5c0b0c6ba2047a65ccff733bde5cbe82bcd2b refs/pull/383/head
d1b2baf4e70772c737c7126e8f404c80953d21f4 refs/pull/386/head
a4478934004a15f766f9598b596c977788df299b refs/pull/388/head
f70b9550217454de5a9649a1aefb77da3054423c refs/pull/390/head
dce0a273b0f7b076ab40a963b6d8736b35fb2de1 refs/pull/393/head
46ad855e84beb9defefb3527a15e7c555cabc94a refs/pull/394/head
1a9b1ddad49a33163192d53ba8dd84fb2c10d5a6 refs/pull/396/head
d0c7f374296e0466a3ba059b209aa0835daae29b refs/pull/397/head
8d96ee2b02e62f6b11202649f11715365a93f5a6 refs/pull/398/head
9f965f2bdda8a83063d9f2484258e8e145b3fac5 refs/pull/406/head
80dc737ecb6c9e5a7e96004cb9da776324a14591 refs/pull/407/head
584e43cf6ceb1bc1e6277fbf916a96e5808a0e63 refs/pull/408/head
d531bae37b79b72084b11e308850cab1cd6d97c4 refs/pull/409/head
7bbe5277d1064031847c43a2a04ed1e63e964eb0 refs/pull/416/head
3b8d7b076910ff538ef84fb7512a5759259d24cb refs/pull/416/merge
904c978670102c6e116c096bc3706e290f801237 refs/pull/417/head
8210959b2a69cfa839a3b941888d3fe87b08a778 refs/pull/419/head
cae5065062c8917cdb0d1fc5036014dafb6522a6 refs/pull/422/head
37a22356177b3e54de801e567b7860b609178a35 refs/pull/43/head
18c47a68c3c41e30e4dcdf11e1633ff14ba8ab6d refs/pull/43/merge
13234da1137398926470a1596d6b41c029267cd5 refs/pull/436/head
efaca50e19fd3978a0aaae2b0d6e254d1d2b1c26 refs/pull/436/merge
ddc3cfe7ee211c4b9f2f1c38374dd97b49ab1ea0 refs/pull/437/head
879a6cc46e8fe891367fed517eed281c2619cfe3 refs/pull/437/merge
1283d709b8c99bf09f3c3757e16c66b1080b1544 refs/pull/438/head
6b223a1d2890abb4b457c42a40d9637e25300286 refs/pull/439/head
2f23ef5b8dc5ad11ab89e10869a703a004a19cb0 refs/pull/44/head
734a7e621366ba7c11da2076ab1e1c8054548fe7 refs/pull/44/merge
002d6ea8bb6efee57c9469435c1dd671b6741299 refs/pull/440/head
76cc99d76b337b29ec42a2a2477e3df5cf0a5a5f refs/pull/443/head
7cb88698f95d2fd4efe8e62ae37f96cd907f7cb4 refs/pull/444/head
9b199539a1dd3094cdb18592182cb004fdcbf054 refs/pull/453/head
baf9ec346e3213d0672a4c4e97ecbe089196739b refs/pull/46/head
3347960e5bf59ec34f5b09fc487537373d8d0e84 refs/pull/46/merge
1130457c7d8bb26befca082e4e6dc51eef983201 refs/pull/460/head
8e4cf8407f4a2f6b949481896d22faef209ce1f5 refs/pull/461/head
628fab987adc7a83a96000ecfe3a2193199b2527 refs/pull/462/head
783d1a7c5995dbf66683044248402e4a3ce133ac refs/pull/463/head
a66c123399b3869f8d77a9b5e4b2183be13f8067 refs/pull/463/merge
a4d397ee2ec0836a914f69e2cc08478b9ab01f2c refs/pull/464/head
aafaab76548bcbeb94a3171e12b986397507cbc9 refs/pull/47/head
90ce587a2c2f39d6ca2de83dc1a8ba76faad2b6d refs/pull/47/merge
4cc96aee42ce60deb34d22f899d01e06f4a2631f refs/pull/470/head
236d5cef01f72717c5ce5026cf8fa54d27159932 refs/pull/472/head
ee6f1269220fa63e0c2155343e8425cd53614701 refs/pull/473/head
379cf7b840297556dc2e06000f41bfa78aa728a0 refs/pull/474/head
b6b7be5d15f427863c917ccabbd3e361c280e633 refs/pull/476/head
69af2ac9d99c1ece42af262035d67420d4be137a refs/pull/486/head
e9f2202229672c863cf35cc3283f9182ccc1acd0 refs/pull/490/head
082bc68fdd610bcc53696d730a19df9c243c8829 refs/pull/490/merge
42b16978561924ac6826e23b9f15ff479ab02399 refs/pull/502/head
8029b2391ee432625d8edd9877c2c4f4d6af17a1 refs/pull/503/head
9fe695826f668e2033232981ff3dba1694e1716f refs/pull/504/head
093b59692a3388804d7e5742ed6704b03432e4be refs/pull/507/head
23674e6908367ff29f9971618efc618b70a23335 refs/pull/517/head
1e9028a47e0e4b4df491b8be9a0461e49f0d954f refs/pull/525/head
646cf5ff9d31e1557338c285ee57f171eb75f344 refs/pull/525/merge
b52452bcc0e55a03452d093379f346049f84b033 refs/pull/527/head
417549d40aec126ca27b5cc4d2f5922704a9d30a refs/pull/537/head
037ab0b8258b6943b1dfbd7d077b9b0a446d01a1 refs/pull/538/head
66314aac1f620b2f3a4e7e44e499e311045cf7e4 refs/pull/538/merge
0576db7f9d42ce844c603289ddd15a5b0393b4a1 refs/pull/545/head
f124df5ea52bd2298d14b6f7e8945f5d6cfa6813 refs/pull/549/head
34183e899cd1fadc3c536c018960a79f0ab7ce53 refs/pull/557/head
7e2ba9bd96ab725385056fa840913e98b715f655 refs/pull/557/merge
3fc664ad5989911405a609c2385a6472ea5ad41b refs/pull/558/head
a9b24bf724a652b48d0072d60eee09c61e013e17 refs/pull/560/head
fb7915a6e79578e2b9942b7d8a06b8cb393c5d9b refs/pull/571/head
33a0ba04a1137906310aa15710043c4a5f9b15a3 refs/pull/576/head
b1fe15622f64803077c3e43fa8a09e96fd025e70 refs/pull/580/head
e940dec43fd1082bbdfbc769e5c1164f89ef1644 refs/pull/581/head
c65a8d01e805c53befd7d9404161c7ce69129d90 refs/pull/583/head
7ca4e1911271c5e5b51f6dc32cd489fcb0113056 refs/pull/586/head
6cc8660f2f3c2f2439b3502f13d2f99abe56a597 refs/pull/587/head
951293e16eec049bb4db3ecd035b06bf387c1838 refs/pull/591/head
4792339a5ad39ab59e009ce20625d46c4090ddf2 refs/pull/605/head
886fa4f49d02601a59c128c2b15ff5ae0be48adb refs/pull/613/head
946c9c23080eda4b5736927f5d329fa2ff8ea705 refs/pull/615/head
18297dcbb18d64b1a12de406ac69e9c23719e441 refs/pull/619/head
2ec5a2091bcd65ca08c327347932e20c34c7d93b refs/pull/625/head
8b173130b22b7ef376b8c67111051702fcf66c08 refs/pull/627/head
d5e0ffb9a935715b9ef760529e5351f5d2d8a0d8 refs/pull/628/head
f1a6c31d35602a149d4e5002380f977555653f3a refs/pull/630/head
37d3150473b8623fbcd9d9f167c123365baca8c8 refs/pull/631/head
86fc46303872e8469ea1316a27500b5595169d33 refs/pull/632/head
4b75eb8a9884ff511b9ddc34097ec9bdf8a7a1fe refs/pull/633/head
3cc59734f3738aefb892c00f24bb96dc2010a175 refs/pull/634/head
87225092607eadee8eec43c505f6f04b1f13d1c6 refs/pull/635/head
6098419554b2d0207feb4265ac8bd22dc94b2400 refs/pull/636/head
3a20f8430f2aa7a67d64e177f16c00e8fe5dc47f refs/pull/637/head
68e15c6e4f1606f408488a9f17aba09f7298bf7e refs/pull/639/head
6e5f4706b738b32a18eb43a35b0c1c321b8abc61 refs/pull/640/head
078d59a77c5cc24ec3063f53899b068b738bb3fd refs/pull/642/head
998a2fc776ec41eeb9e0d8a15ad10b08ba21a8f5 refs/pull/647/head
21f3f11ead394f36b9d5921b237c9d4dafb75009 refs/pull/649/head
f7818ba91006a959cd02dada30a8e8046110ae3a refs/pull/650/head
c82524ae17d84636b186b7768c1a0fc7e9a86eb2 refs/pull/651/head
9322da9b9e71db48af083027642e2bf26bca231e refs/pull/652/head
3140bdd4d82969187954062705c7112687bad56a refs/pull/654/head
1bfe10e37f50e9da584b6715c14eddbbbe11d0a4 refs/pull/66/head
00195793fd02ed8d82f9be20800eae48567faff2 refs/pull/66/merge
8d70391bbefb67d2ba4655dfcd1269301d268449 refs/pull/661/head
9f8bc950530529c6110a362a62c563db36e0ce90 refs/pull/662/head
1427eb7d03d2d10cd566cf96137b991da6045701 refs/pull/666/head
4b9dfcf1a984865de78ca18b41178f60c6177ebf refs/pull/669/head
30b69894e43c930beb6cff6dbb7aafd10954b830 refs/pull/670/head
9d5c03ae41dd4f1a2b74db0bebc852180b07bd69 refs/pull/678/head
e67191e3a6afadd526e73a778bbda82645c0d2d7 refs/pull/683/head
05119ff3968b9557009904381fc1092e6b1e7b28 refs/pull/686/head
a025736d55dea862f30d0ad5ebb7ee4ba38b0935 refs/pull/687/head
ab006a7e1b2ccda1808b5e453fcd66c497cf008e refs/pull/691/head
88d8faea72f5904971987d57ee61aaf21590e1ed refs/pull/698/head
3568690980750b6f4f59a221690b1afb8ea5aa9b refs/pull/699/head
4d89d78d8e15efca44ebb9464d8692f580d7f36f refs/pull/700/head
14aa80ca316727bc2a034869f1fa19d4769ebc96 refs/pull/701/head
6621e736ade16e4c4f2bcd31e813ab1a63bd8bee refs/pull/702/head
8ea8b2e419eca5bdafcd358c4ad079c4b80a7ec1 refs/pull/704/head
6bbe861b51ab95495a8af0adc71ec4f526a853e5 refs/pull/722/head
79a19f037fd326fb8659a630ec31d4474226f1d5 refs/pull/724/head
709a6868b1196fac076a801f724aeb43d3ff3d5f refs/pull/725/head
f3eda346ab0ec5f0b39bef30dff488c46cb69b65 refs/pull/729/head
8ff3a2c8be76dca986cd54e424a8a5ae23f86de3 refs/pull/730/head
a086515754bb240547cea53cfb7f97bd56a6d09c refs/pull/731/head
d48428d5147f09e92dcf7585f3b0ea6e24707373 refs/pull/732/head
41128ff2ac74614c32d8362864fead09fd41394b refs/pull/733/head
f2e169933de4caea1a0883bb04b8cd05656ffcea refs/pull/748/head
eb0f945bcbd22edd2b7eccbca4578b631997b840 refs/pull/90/head
e51ba24eab00e3b56cd38c564b27b1d840f47597 refs/pull/93/head
9693f868783b10719ce6ef0dd4e3768b65911eac refs/tags/3.5.0
c448a763ad2c28bcc390222122a61a172dae1283 refs/tags/3.5.0.1
8b173130b22b7ef376b8c67111051702fcf66c08 refs/tags/3.5.1
1e4c0bae6f797ee5878ce4bb30f3b03c679e3e11 refs/tags/3.5.2
1e4c0bae6f797ee5878ce4bb30f3b03c679e3e11 refs/tags/3.5.2.2
60c8fc785c28950c77e598b46cdf3903944b8875 refs/tags/3.5.3.0
f264669254f0e6121f683e74e2947aa6e4b43b6f refs/tags/3.6.1
a84d7ada69d2d27f984d521c41047aefc791ca58 refs/tags/3.6.2
ae9f5edd9575f7f94e45c6e9b64898db73a8b62a refs/tags/3.6.4
d6631e8ea56063897e341207477e0cc3231f20b2 refs/tags/3.6.6
baf63c5924a2b9695175df5d47ced40596024b78 refs/tags/3.7.4
7c00cacae00c4f3263e939e88b5e7739150851e5 refs/tags/3.7.4.1
c85016137eab6d0784b76252460235638087f468 refs/tags/3.7.4.2
ffebbecbf4ad162572050ecfaac4335cc5431c24 refs/tags/3.7.4.3